curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}Erstellen oder aktualisieren Sie Datensätze, die durch einen eindeutigen Wert einer Eigenschaft identifiziert werden, wie durch den Abfrageparameter „idProperty“ angegeben. Der Abfrageparameter „idProperty“ bezieht sich auf eine Eigenschaft, deren Werte für das Objekt eindeutig sind.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/0-3/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 10,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Anzeigen untergeordnete attribute
successful operation
Represents the result of a batch upsert operation, including the operation’s status, timestamps, and a list of successfully created or updated objects.
Der Zeitstempel, wann die Batch-Verarbeitung abgeschlossen war (Format ISO 8601).
Anzeigen untergeordnete attribute
Der Zeitstempel, wann die Ausführung des Batch-Prozesses ausgeführt wurde (Format ISO 8601).
Der Status der Batch-Verarbeitungsanfrage. Der erwartete Wert ist „COMPLETE“.
CANCELED, COMPLETE, PENDING, PROCESSING Anzeigen untergeordnete attribute
Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.
Anzeigen untergeordnete attribute
Die Gesamtanzahl der während des Vorgangs aufgetretenen Fehler.
10
Der Zeitstempel, wann der Batch-Prozess eingeleitet wurde (Format ISO 8601).